%define upstream_name    String-ShellQuote
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Quote strings for passing through the shell
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.perl.com/CPAN-local/authors/id/R/RO/ROSCH/String-ShellQuote-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
This perl module contains some functions which are useful for quoting strings
which are going to pass through the shell or a shell-like object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/String/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-10.mga6
+ Revision: 1033410
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.40.0-9.mga6
+ Revision: 969333
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1.40.0-8.mga6
+ Revision: 867854
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-7.mga5
+ Revision: 745770
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-6.mga5
+ Revision: 686253
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-5.mga4
+ Revision: 514722
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-4.mga3
+ Revision: 372840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.40.0-3.mga1
+ Revision: 29448
- rebuild
- mageia rebuild

* Wed Jan 12 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 7420
- imported package perl-String-ShellQuote


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.40.0-2mdv2011.0
+ Revision: 564754
- rebuild for perl 5.12.1

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2011.0
+ Revision: 552636
- update to 1.04

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.1
+ Revision: 408047
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.03-6mdv2009.1
+ Revision: 351723
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.03-5mdv2009.0
+ Revision: 224058
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.03-4mdv2008.1
+ Revision: 180570
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 1.03-3mdv2008.0
+ Revision: 64806
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.03-2mdv2007.0
+ Revision: 108450
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-String-ShellQuote

* Fri May 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.03-1mdk
- 1.03

* Wed Feb 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.02-1mdk
- 1.02

